% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methodsInternal.R
\encoding{UTF-8}
\name{createCytoscapeNetwork}
\alias{createCytoscapeNetwork}
\title{Create network and load it into Cytoscape}
\usage{
createCytoscapeNetwork(gostResults, gostObject, title, collection)
}
\arguments{
\item{gostResults}{a \code{data.frame} containing the terms retained
for the creation of the network.}

\item{gostObject}{a \code{list} created by gprofiler2 that contains
the results from an enrichment analysis.}

\item{title}{a \code{character} string representing the name assigned to
the network.}

\item{collection}{a \code{character} string representing the collection
name assigned to the network.}
}
\value{
\code{TRUE}
}
\description{
Create network from gprofiler2 results and load it
into Cytoscape
}
\examples{

## Loading dataset containing result from an enrichment analysis done with
## gprofiler2
data(demoGOST)

## Only retained the WikiPathways results
results <- demoGOST$result[demoGOST$result$source == "WP", ]

## The creation of the network can only be done when Cytoscape
## is up and running
## A network using GO - Molecular Function enriched terms will be
## generated and loaded into Cytoscape
if (enrichViewNet:::isCytoscapeRunning()) {
    enrichViewNet:::createCytoscapeNetwork(gostResults=results,
        gostObject=demoGOST, title="Test", collection="New Collection")
}

}
\author{
Astrid Deschênes
}
\keyword{internal}
