% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methodsInternal.R
\encoding{UTF-8}
\name{extractNodesAndEdgesWhenNoIntersection}
\alias{extractNodesAndEdgesWhenNoIntersection}
\title{Extract node and edge information to be used to create Cytoscape
network}
\usage{
extractNodesAndEdgesWhenNoIntersection(gostResults, gostObject)
}
\arguments{
\item{gostResults}{a \code{data.frame} containing the terms retained
for the creation of the network.}

\item{gostObject}{a \code{list} created by gprofiler2 that contains
the results from an enrichment analysis.}
}
\value{
\code{list} containing 2 entries:
\itemize{
\item{"nodes"}{a \code{data.frame} containing the information about
the nodes present in the network.}
\item{"edges"}{a \code{data.frame} containing the information about
the edges present in the network.}
}
}
\description{
Create a list containing all node and edge information needed
to create the Cytoscape network
}
\examples{

## Loading dataset containing result from an enrichment analysis done with
## gprofiler2
data(demoGOST)

## Only retained the GO Molecular Function results
results <- demoGOST$result[demoGOST$result$source == "GO:MF", ]

information <-
    enrichViewNet:::extractNodesAndEdgesWhenNoIntersection(
                gostResults=results, gostObject=demoGOST)

}
\author{
Astrid Deschênes
}
\keyword{internal}
